-- @start_restricted_prolog@
-- Licensed Materials - Property of IBM
-- 
-- 5724-I82 5724-L01 5655-N53 5655-R15 5655-N63               
-- Copyright IBM Corporation 2008 All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- @end_restricted_prolog@

-- Oracle V10G schema for Message Logger Mediation

CREATE TABLE MsgLog
  (TimeStamp TIMESTAMP(6) NOT NULL,
   MessageID VARCHAR2(36) NOT NULL,
   MediationName VARCHAR2(256) NOT NULL,
   ModuleName VARCHAR2(256),
   Message CLOB,
   Version VARCHAR2(10));

ALTER TABLE MsgLog
  ADD CONSTRAINT PK_MSGLOG PRIMARY KEY (TimeStamp, MessageID, MediationName);
